//////////////////////////////////////////////////
// os2otp.h: Function & Message
//                                  for os2otp.exe
//                       (C) Hige no Shinshi, 1997

//////////////////////////////////////////////////
// User's window messages
//

#define OTP_EXIT (WM_USER+1)
#define OTP_ABOUT (WM_USER+2)

//////////////////////////////////////////////////
// Functions
//
MRESULT EXPENTRY AboutDlgProc(HWND, ULONG, MPARAM, MPARAM);
MRESULT EXPENTRY WinOTPDlgProc(HWND, ULONG, MPARAM, MPARAM);

void BoxAndBeep (HWND, PSZ, PSZ, int);
PSZ ComputePassPhrase (PSZ, PSZ, PSZ);
int CopyPassphraseToClipBoard (PSZ pass);
UINT GetClipboardContents (PSZ szRecv, UINT nSize);
void SetHashAlg (UINT);
void SetClipAppendStr (UINT str);
void DisplayAsWords (void);
void DisplayAsHex (void);

//////////////////////////////////////////////////
// Global Variables
//
extern HAB hab;
extern HWND hMainWnd;
const PSZ szAppName = (PSZ)"OS2OTP";
const LONG dwPhraseSize = 256, dwKeySize = 8;
const LONG dwWordSize = 128;
